import {
  AfterContentInit, Component, EventEmitter, Input,
  OnInit, Output
} from '@angular/core';
import {
  FormBuilder,
  FormGroup
} from '@angular/forms';

@Component({
  selector: 'of-discovery-search-config',
  templateUrl: './search-config.component.html',
})
export class SearchConfigComponent implements OnInit, AfterContentInit {

  @Output() discoverySearchStartClick = new EventEmitter();

  discoveryFormGroup: FormGroup;

  private ipVesion: string;
  private startIP: string;
  private endIP: string;
  private excludeIP: string;
  private startPort: string;
  private endPort: string;
  private excludePort: string;

  constructor(
    private formBuilder: FormBuilder,
  ) {
  }

  ngOnInit() {
    this.ipVesion = '0';
    this.initForm();
  }

  ngAfterContentInit() {
  }

  initForm() {
    // this.discoveryFormGroup = this.formBuilder.group({
    //
    // });
  }

  discoveryStartClick() {
    this.discoverySearchStartClick.emit();
  }

  onProbeSelect(event) {

  }
}
